Skip to main content
GET
/
v1
/
flow-runs
/
{id}
cURL
curl --request GET \
  --url https://cloud.activepieces.com/api/v1/flow-runs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "projectId": "<string>",
  "flowId": "<string>",
  "failParentOnFailure": true,
  "flowVersionId": "<string>",
  "status": "FAILED",
  "environment": "PRODUCTION",
  "parentRunId": "<string>",
  "triggeredBy": "<string>",
  "tags": [
    "<string>"
  ],
  "flowVersion": {
    "displayName": "<string>"
  },
  "logsFileId": "<string>",
  "startTime": "<string>",
  "finishTime": "<string>",
  "steps": {},
  "failedStep": {
    "name": "<string>",
    "displayName": "<string>"
  },
  "stepNameToTest": "<string>",
  "archivedAt": "<string>",
  "stepsCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Path Parameters

id
string
required
Pattern: ^[0-9a-zA-Z]{21}$

Response

200 - application/json

Default Response

id
string
required
created
string
required
updated
string
required
projectId
string
required
flowId
string
required
failParentOnFailure
boolean
required
flowVersionId
string
required
status
enum<string>
required
Available options:
FAILED,
QUOTA_EXCEEDED,
INTERNAL_ERROR,
PAUSED,
QUEUED,
RUNNING,
SUCCEEDED,
MEMORY_LIMIT_EXCEEDED,
TIMEOUT,
CANCELED,
LOG_SIZE_EXCEEDED
environment
enum<string>
required
Available options:
PRODUCTION,
TESTING
parentRunId
string
triggeredBy
string
tags
string[]
flowVersion
object
logsFileId
string | null
startTime
string | null
finishTime
string | null
steps
object
failedStep
object
stepNameToTest
string
archivedAt
string | null
stepsCount
number